POST
/api/v1/meetings/uploadUpload Meeting
Uploads a meeting. You can either provide a mediaUrl in the body or upload a file directly.
Authentication
Send your API key in the x-api-key header.
x-api-keybearer
Request body
requiredMeeting data and optional file upload
PublicApiMeetingUploadRequestDto
namerequiredstring
Name of the meeting for uploading
mediaUrlstring
URL of the media file to upload (alternative to file upload)
startDateTimerequiredstring (date-time)
Scheduled start date and time of the meeting
descriptionstring
Description of the meeting
filestring (binary)
Video file to upload (alternative to mediaUrl)
ownerIdstring
ID of the user who owns this meeting
personIdsarray<string>
Array of person IDs for this meeting participants. Use comma to separate the values
Example request
json
{
"name": "Marketing Team Meeting Recording",
"mediaUrl": "https://example.com/upload/meeting_recording.mp4",
"startDateTime": "2024-07-18T14:00:00.000Z",
"description": "Recording of the marketing team weekly meeting.",
"file": "",
"ownerId": "5516cd47-2bd0-4f4f-adc2-22524e54ba4d",
"personIds": [
"5516cd47-2bd0-4f4f-adc2-22524e54ba4d"
]
}
Responses
201
PublicApiPostMeetingUploadResponseDto
statusCoderequirednumber
countrequirednumber
errorrequiredstring
datarequiredPublicApiMeetingUploadResponseDto
Example response
json
{
"statusCode": 200,
"count": 0,
"error": null,
"data": {
"meetingId": "5516cd47-2bd0-4f4f-adc2-22524e54ba4d"
}
}
401Unauthorized - missing or invalid API key or Bearer token